//
//  Copyright (c) 2005, Scott R. Turner
//  Released under the GPL license
//  http://www.gnu.org/copyleft/gpl.html
//
//  Thu May 05 18:10:22 2005 -- Scott R. Turner
//
//  Code for implementing the HTML regexp replacer.
//

//
//  Pull the match & replace and execute them on the Initial HTML
//  box, and then stick the result in the Resulting HTML box.
//
function try_it() {
   var match = window.document.getElementById("match").value;
   var match_re;
   var replace = window.document.getElementById("replace").value;
   var initial_html = window.document.getElementById("initial_html").value;
   var global = window.document.getElementById("global").checked;
   var insensitive = window.document.getElementById("insensitive").checked;
   var mod_string = "";
   var result_html;

   if (global) {
       mod_string += "g";
   };
   if (insensitive) {
       mod_string += "i";
   };
   match_re = new RegExp(match, mod_string);
   result_html = initial_html.replace(match_re, replace);
   window.document.getElementById("result_html").value = result_html;
};

function reset() {
   window.document.getElementById("match").value = null;
   window.document.getElementById("replace").value = null;
   window.document.getElementById("initial_html").value =
       self.opener._content.document.platypus_focus.innerHTML;
   window.document.getElementById("global").checked = false;
   window.document.getElementById("insensitive").checked = false;
};

function do_modify_html() {
   var match = window.document.getElementById("match").value;
   var match_re;
   var replace = window.document.getElementById("replace").value;
   var global = window.document.getElementById("global").checked;
   var insensitive = window.document.getElementById("insensitive").checked;
   var mod_string = "";

   if (global) {
       mod_string += "g";
   };
   if (insensitive) {
       mod_string += "i";
   };
   match_re = new RegExp(match, mod_string);
   self.opener.do_modify_html(self.opener._content.document,
			      self.opener._content.document.platypus_focus,
			      match_re,
			      replace);
};
			     
//
//  Help
//
function help() {
    window.open("chrome://platypus/content/help-regexp.htm", 
		"Help With Regular Expressions",
		"resizable,centerscreen");
};
